# 論文を検索 (/ja/api-reference/endpoint/research-search-papers)

<!-- agent-signals: reading_time_min: 2 · est_tokens: 1446 · updated: 2026-07-30 -->
Related: [検索](/ja/api-reference/endpoint/search.md), [検索フィードバック](/ja/api-reference/endpoint/search-feedback.md), [スクレイプ](/ja/api-reference/endpoint/scrape.md), [バッチスクレープ](/ja/api-reference/endpoint/batch-scrape.md), [バッチスクレイプのステータス取得](/ja/api-reference/endpoint/batch-scrape-get.md), [バッチスクレイプのキャンセル](/ja/api-reference/endpoint/batch-scrape-delete.md)

トピック、手法、ベンチマーク、著者、またはカテゴリで論文を検索できます。結果には、正規の`paperId`、推奨される`primaryId`、ソースID、タイトル、要旨、スコア、および任意のランキングシグナルが含まれます。

ワークフローの概要については、[Research Index guide](/ja/features/research)をご覧ください。

`GET /search/research/papers`

論文を検索

## OpenAPI

```json
{
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "parameters": [
    {
      "description": "自然言語による論文検索クエリ。",
      "in": "query",
      "name": "query",
      "required": true,
      "schema": {
        "minLength": 1,
        "type": "string"
      }
    },
    {
      "description": "返すランキング済み論文の最大件数。",
      "in": "query",
      "name": "k",
      "required": false,
      "schema": {
        "default": 40,
        "maximum": 500,
        "minimum": 1,
        "type": "integer"
      }
    },
    {
      "description": "著者名の部分文字列で絞り込むフィルター。複数回指定するか、カンマ区切りの値を渡します。すべてのフィルターに一致する必要があります。",
      "in": "query",
      "name": "authors",
      "required": false,
      "schema": {
        "type": "string"
      }
    },
    {
      "description": "論文カテゴリで絞り込むフィルター。複数回指定するか、カンマ区切りの値を渡します。すべてのフィルターに一致する必要があります。",
      "in": "query",
      "name": "categories",
      "required": false,
      "schema": {
        "type": "string"
      }
    },
    {
      "description": "作成日/更新日の下限値（この日付を含む）。",
      "in": "query",
      "name": "from",
      "required": false,
      "schema": {
        "format": "date",
        "type": "string"
      }
    },
    {
      "description": "作成日/更新日の上限値（この日付を含む）。",
      "in": "query",
      "name": "to",
      "required": false,
      "schema": {
        "format": "date",
        "type": "string"
      }
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "example": {
            "results": [
              {
                "abstract": "We show that diffusion models can achieve image sample quality superior to the current state-of-the-art generative models...",
                "ids": {
                  "arxiv": [
                    "2105.05233"
                  ]
                },
                "paperId": "2014215642691656232",
                "primaryId": "arxiv:2105.05233",
                "score": 0.0163934,
                "title": "Diffusion Models Beat GANs on Image Synthesis"
              }
            ],
            "success": true
          },
          "schema": {
            "properties": {
              "results": {
                "items": {
                  "properties": {
                    "abstract": {
                      "type": "string"
                    },
                    "ids": {
                      "additionalProperties": {
                        "items": {
                          "type": "string"
                        },
                        "type": "array"
                      },
                      "description": "名前空間ごとにグループ化されたソース識別子。",
                      "example": {
                        "arxiv": [
                          "2105.05233"
                        ]
                      },
                      "type": "object"
                    },
                    "paperId": {
                      "description": "正規の論文 ID。SERP で検出された表示結果の場合は web:<url>。",
                      "type": "string"
                    },
                    "primaryId": {
                      "description": "arxiv:<id>、pmid:<id>、pmcid:<id>、doi:<id> などの推奨 cite/fetch ID。",
                      "type": "string"
                    },
                    "score": {
                      "format": "double",
                      "type": "number"
                    },
                    "signals": {
                      "properties": {
                        "articleRank": {
                          "description": "構造拡張による article-rank スコア。",
                          "format": "double",
                          "type": "number"
                        },
                        "seedOverlap": {
                          "description": "この候補に接続されている異なるシード数。",
                          "minimum": 0,
                          "type": "integer"
                        },
                        "semantic": {
                          "description": "意図検索によるセマンティックスコア。",
                          "format": "double",
                          "type": "number"
                        },
                        "structural": {
                          "description": "生の構造グラフシグナル。",
                          "format": "double",
                          "type": "number"
                        }
                      },
                      "required": [
                        "structural",
                        "semantic",
                        "articleRank",
                        "seedOverlap"
                      ],
                      "type": "object"
                    },
                    "title": {
                      "type": "string"
                    }
                  },
                  "required": [
                    "paperId",
                    "primaryId",
                    "title",
                    "abstract",
                    "score"
                  ],
                  "type": "object"
                },
                "type": "array"
              },
              "success": {
                "type": "boolean"
              }
            },
            "required": [
              "success",
              "results"
            ],
            "type": "object"
          }
        }
      },
      "description": "ランキングされた論文の検索結果。"
    },
    "400": {
      "description": "無効なリクエスト"
    },
    "401": {
      "description": "bearer token がないか、無効です"
    },
    "429": {
      "description": "レート制限を超過しました"
    },
    "500": {
      "description": "内部サーバーエラー"
    }
  }
}
```
